Skip to content

Get prompt template.

GET
/backend/v1/prompts/templates/{promptTemplateId}

Retrieves a prompt template by its ID.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

promptTemplateId*
Type
string
Required
Format
"uuid"

Responses

Successful Response

application/json
JSON
{
  
"promptTemplate": {
  
  
"createdAt": "string",
  
  
"id": "string",
  
  
"name": "string",
  
  
"projectId": "string",
  
  
"promptId": "string",
  
  
"userId": "string"
  
},
  
"prompts": [
  
  
{
  
  
  
"externalMetadata": {
  
  
  
},
  
  
  
"extraInputs": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"fromTemplate": false,
  
  
  
"id": "string",
  
  
  
"input": "string",
  
  
  
"memory": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"parentId": "string",
  
  
  
"preserve": false,
  
  
  
"projectId": "string",
  
  
  
"provider": "string",
  
  
  
"receivedAt": "string",
  
  
  
"result": {
  
  
  
  
"files": [
  
  
  
  
  
{
  
  
  
  
  
  
"contentType": "string",
  
  
  
  
  
  
"data": "string",
  
  
  
  
  
  
"id": "string",
  
  
  
  
  
  
"isBase64": true,
  
  
  
  
  
  
"name": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"outcome": "string",
  
  
  
  
"providerResult": {
  
  
  
  
  
"data": "string",
  
  
  
  
  
"receivedDate": "string",
  
  
  
  
  
"sentDate": "string",
  
  
  
  
  
"statusCode": 0
  
  
  
  
},
  
  
  
  
"response": "string",
  
  
  
  
"scannerResults": [
  
  
  
  
  
{
  
  
  
  
  
  
"completedDate": "string",
  
  
  
  
  
  
"customConfig": false,
  
  
  
  
  
  
"data": {
  
  
  
  
  
  
  
"matches": [
  
  
  
  
  
  
  
  
[
  
  
  
  
  
  
  
  
]
  
  
  
  
  
  
  
],
  
  
  
  
  
  
  
"type": "regex"
  
  
  
  
  
  
},
  
  
  
  
  
  
"message": "string",
  
  
  
  
  
  
"outcome": "string",
  
  
  
  
  
  
"scanDirection": "string",
  
  
  
  
  
  
"scannerId": "string",
  
  
  
  
  
  
"scannerVersionMeta": {
  
  
  
  
  
  
  
"createdAt": "string",
  
  
  
  
  
  
  
"createdBy": "string",
  
  
  
  
  
  
  
"description": "string",
  
  
  
  
  
  
  
"direction": "string",
  
  
  
  
  
  
  
"f1Score": 0,
  
  
  
  
  
  
  
"id": "string",
  
  
  
  
  
  
  
"latestDatasetResult": {
  
  
  
  
  
  
  
  
"datasetRunId": "string",
  
  
  
  
  
  
  
  
"f1Score": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"published": true
  
  
  
  
  
  
},
  
  
  
  
  
  
"startedDate": "string"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"type": "prompt",
  
  
  
"userId": "string"
  
  
}
  
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: